### Hierarchy

- unknown
  - GetXmrSeedReply

## Index

### Constructors

- constructor

### Methods

- getSeed
- serializeBinary
- setSeed
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetXmrSeedReply(): GetXmrSeedReply

- Inherited from jspb.Message.constructor

  #### Returns GetXmrSeedReply

## Methods

### getSeed

- getSeed(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2980

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2983

  #### Returns Uint8Array

### setSeed

- setSeed(value: string): GetXmrSeedReply

- - Defined in src/protobuf/grpc_pb.d.ts:2981

  #### Parameters

  - ##### value: string

  #### Returns GetXmrSeedReply

### toObject

- toObject(includeInstance?: boolean): GetXmrSeedReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2984

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetXmrSeedReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrSeedReply

- - Defined in src/protobuf/grpc_pb.d.ts:2987

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrSeedReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrSeedReply, reader: BinaryReader): GetXmrSeedReply

- - Defined in src/protobuf/grpc_pb.d.ts:2988

  #### Parameters

  - ##### message: GetXmrSeedReply

  - ##### reader: BinaryReader

  #### Returns GetXmrSeedReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrSeedReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2986

  #### Parameters

  - ##### message: GetXmrSeedReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetXmrSeedReply ): GetXmrSeedReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2985

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrSeedReply

  #### Returns GetXmrSeedReply . AsObject

Generated using TypeDoc